#ifndef _INFERUTIL_FN_
#define _INFERUTIL_FN_

#include "infer.h"

void clear_argument(struct argument *arg)
{
	if (!arg) return;
        arg->type = ARG_NONE;
}

void clear_request(struct request *req)
{
	if (!req) return;
        req->command = CMD_NONE;
        req->num_args = 0;
        clear_argument(&req->arg1);
        clear_argument(&req->arg2);
        clear_argument(&req->arg3);
        clear_argument(&req->arg4);
        req->outarg_type = ARG_NONE;
}

void clear_response(struct response *res)
{
	if (!res) return;
        res->ok = 0;
        res->outarg.type = ARG_NONE;
}

#endif
